## org.eclipse.m2m.qvt.oml.debug.core
Class QVTOVirtualProcess

    java.lang.Object
      PlatformObject
          org.eclipse.m2m.qvt.oml.debug.core.QVTOVirtualProcess

    public class QVTOVirtualProcess

extends PlatformObject

Constructor Summary
`QVTOVirtualProcess(ILaunch launch, IQVTOVirtualMachineShell vm)`

Method Summary
`boolean` `canTerminate()`
`java.lang.String` `getAttribute(java.lang.String key)`
`int` `getExitValue()`
`java.lang.String` `getLabel()`
`ILaunch` `getLaunch()`
`IStreamsProxy` `getStreamsProxy()`
`boolean` `isTerminated()`
`void` `setAttribute(java.lang.String key, java.lang.String value)`
`void` `setStreamsProxy(IStreamsProxy streamsProxy)`
`void` `terminate()`
`protected void` `terminated()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QVTOVirtualProcess

    public QVTOVirtualProcess(ILaunch launch,
                              IQVTOVirtualMachineShell vm)

Method Detail

### terminated

    protected void terminated()

### setStreamsProxy

    public void setStreamsProxy(IStreamsProxy streamsProxy)

### getStreamsProxy

    public IStreamsProxy getStreamsProxy()

### getLabel

    public java.lang.String getLabel()

### getLaunch

    public ILaunch getLaunch()

### setAttribute

    public void setAttribute(java.lang.String key,
                             java.lang.String value)

### getAttribute

    public java.lang.String getAttribute(java.lang.String key)

### getExitValue

    public int getExitValue()
                     throws DebugException

  Throws:
    `DebugException`

### isTerminated

    public boolean isTerminated()

### canTerminate

    public boolean canTerminate()

### terminate

    public void terminate()
                   throws DebugException

  Throws:
    `DebugException`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.